Subject: Re: Xorg on Fujitsu "Lime" with MPC5200b?

From: Bill Gatliff <[email-masked]>
Date: Thu, 15 Apr 2010 08:01:59 -0500

Roman Fietze wrote:
> Hallo Bill,
>
> On Thursday 15 April 2010 05:07:08 Bill Gatliff wrote:
>
>   
>> Actually, I *have* Debian squeeze's xorg running on the platform just
>> fine, with a 2.6.34-rc1 kernel (kernel.org).  Problem is, every single
>> diagonal line is very blocky--- not smooth at all.
>>     
>
> I'm 95% sure it's an endianess problem, on our boards we had to modify
> the X11 driver. What I did was swapping bytes when updating the device
> from the shadowfb inside programs/Xserver/miext/shadow/shpacked.c
>   

Are you talking about this code here?

    void
    shadowUpdatePacked (ScreenPtr pScreen,
                        shadowBufPtr pBuf)
    {
    ...
                    while (i--)
                        *win++ = *sha++;

Do I endian-swap each *sha?  Or, do I reorder the sha array before
dereferencing it (e.g. each *sha is right, but adjacent ones are in the
wrong order)?

b.g.

-- 
Bill Gatliff
[email-masked]